<template>
    <div class="edit-popup">
        <popup ref="popupRef" :title="popupTitle" :async="true" width="550px" @confirm="handleSubmit" @close="handleClose">
            <el-form ref="formRef" :model="formData" label-width="90px" :rules="formRules">
                <el-form-item label="报价单id" prop="quotation_id">
                    <el-input v-model="formData.quotation_id" clearable placeholder="请输入报价单id" />
                </el-form-item>
                <el-form-item label="产品id" prop="product_id">
                    <el-input v-model="formData.product_id" clearable placeholder="请输入产品id" />
                </el-form-item>
                <el-form-item label="产品数量" prop="product_num">
                    <el-input v-model="formData.product_num" clearable placeholder="请输入产品数量" />
                </el-form-item>
                <el-form-item label="税率" prop="tax_rate">
                    <el-select class="flex-1" v-model="formData.tax_rate" clearable placeholder="请选择税率">
                        <el-option v-for="(item, index) in dictData.tax_rate" :key="index" :label="item.name" :value="parseInt(item.value)" />
                    </el-select>
                </el-form-item>
                <el-form-item label="备注" prop="remark">
                    <el-input v-model="formData.remark" clearable placeholder="请输入备注" />
                </el-form-item>
            </el-form>
        </popup>
    </div>
</template>

<!-- <script lang="ts" setup name="quotationDetailEdit">
import type { FormInstance } from 'element-plus'
import Popup from '@/components/popup/index.vue'
import { apiQuotationDetailAdd, apiQuotationDetailEdit, apiQuotationDetail } from '@/api/quotation_detail'
import { timeFormat } from '@/utils/util'
import type { PropType } from 'vue'
defineProps({
    dictData: {
        type: Object as PropType<Record<string, any[]>>,
        default: () => ({})
    }
})
const emit = defineEmits(['success', 'close'])
const formRef = shallowRef<FormInstance>()
const popupRef = shallowRef<InstanceType<typeof Popup>>()
const mode = ref('add')


// 弹窗标题
const popupTitle = computed(() => {
    return mode.value == 'edit' ? '编辑报价明细' : '新增报价明细'
})

// 表单数据
const formData = reactive({
    id: '',
    quotation_id: '',
    product_id: '',
    product_num: '',
    tax_rate: '',
    remark: '',
})


// 表单验证
const formRules = reactive<any>({

})


// 获取详情
const setFormData = async (data: Record<any, any>) => {
    for (const key in formData) {
        if (data[key] != null && data[key] != undefined) {
            //@ts-ignore
            formData[key] = data[key]
        }
    }


}

const getDetail = async (row: Record<string, any>) => {
    const data = await apiQuotationDetailDetail({
        id: row.id
    })
    setFormData(data)
}


// 提交按钮
const handleSubmit = async () => {
    await formRef.value?.validate()
    const data = { ...formData, }
    mode.value == 'edit'
        ? await apiQuotationDetailEdit(data)
        : await apiQuotationDetailAdd(data)
    popupRef.value?.close()
    emit('success')
}

//打开弹窗
const open = (type = 'add') => {
    mode.value = type
    popupRef.value?.open()
}

// 关闭回调
const handleClose = () => {
    emit('close')
}



defineExpose({
    open,
    setFormData,
    getDetail
})
</script> -->
